/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02347
 |         WASHINGTON, DC, METROPOLITAN AREA DRUG STUDY(DC*MADS),
 |        1992: DRUG USE AMONG DC WOMEN DELIVERING LIVE BIRTHS IN
 |                              DC HOSPITALS
 |                      (DATASET 0002: MOTHER DATA)
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace A_1 = . if (A_1 <= -1 )
replace XA_1A = . if (XA_1A <= -1 )
replace A_1B = . if (A_1B <= -1 )
replace A_1C = . if (A_1C <= -1 )
replace A_1D_01 = . if (A_1D_01 <= -1 )
replace A_1D_02 = . if (A_1D_02 <= -1 )
replace A_1D_03 = . if (A_1D_03 <= -1 )
replace A_1D_04 = . if (A_1D_04 <= -1 )
replace A_1D_05 = . if (A_1D_05 <= -1 )
replace A_1D_06 = . if (A_1D_06 <= -1 )
replace A_1D_07 = . if (A_1D_07 <= -1 )
replace A_1D_08 = . if (A_1D_08 <= -1 )
replace XA_2 = . if (XA_2 <= -444 )
replace XA_3 = . if (XA_3 <= -1 )
replace A_4 = . if (A_4 <= -1 )
replace A4_A_1 = . if (A4_A_1 <= -1 )
replace A4_A_2 = . if (A4_A_2 <= -1 )
replace A_5 = . if (A_5 <= -1 )
replace A_6 = . if (A_6 <= -1 )
replace A_6A = . if (A_6A <= -1 )
replace A_7_01 = . if (A_7_01 <= -1 )
replace A_7_02 = . if (A_7_02 <= -1 )
replace A_7_03 = . if (A_7_03 <= -1 )
replace A_7_04 = . if (A_7_04 <= -1 )
replace A_7_05 = . if (A_7_05 <= -1 )
replace A_7_06 = . if (A_7_06 <= -1 )
replace A_7_07 = . if (A_7_07 <= -1 )
replace A_7_08 = . if (A_7_08 <= -1 )
replace A_7_09 = . if (A_7_09 <= -1 )
replace A_7_10 = . if (A_7_10 <= -1 )
replace A_7_11 = . if (A_7_11 <= -1 )
replace A_7_12 = . if (A_7_12 <= -1 )
replace A_7_SP = . if (A_7_SP <= -1 )
replace A_8_1 = . if (A_8_1 <= -1 )
replace A_8A_1 = . if (A_8A_1 <= -1 )
replace A_8_2 = . if (A_8_2 <= -1 )
replace A_8A_2 = . if (A_8A_2 <= -1 )
replace A_8_3 = . if (A_8_3 <= -1 )
replace A_8A_3 = . if (A_8A_3 <= -1 )
replace A_8_4 = . if (A_8_4 <= -1 )
replace A_8A_4 = . if (A_8A_4 <= -1 )
replace A_8_5 = . if (A_8_5 <= -1 )
replace A_8A_5 = . if (A_8A_5 <= -1 )
replace A_8_6 = . if (A_8_6 <= -1 )
replace A_8A_6 = . if (A_8A_6 <= -1 )
replace A_8_SP = . if (A_8_SP <= -1 )
replace A_9 = . if (A_9 <= -1 )
replace A_9_SP = . if (A_9_SP <= -1 )
replace A_10 = . if (A_10 <= -1 )
replace A_10_A = . if (A_10_A <= -1 )
replace A_11 = . if (A_11 <= -1 )
replace A_12 = . if (A_12 <= -1 )
replace A_13_FT = . if (A_13_FT <= -1 )
replace A_13_IN = . if (A_13_IN <= -1 )
replace A_14 = . if (A_14 <= -1 )
replace A_14_A = . if (A_14_A <= -1 )
replace A_14_C = . if (A_14_C <= -1 )
replace A_15_A = . if (A_15_A <= -1 )
replace A_15_B = . if (A_15_B <= -1 )
replace A_15_C = . if (A_15_C <= -1 )
replace A_15_D = . if (A_15_D <= -1 )
replace A17A1_LB = . if (A17A1_LB <= -1 )
replace A17A1_OZ = . if (A17A1_OZ <= -1 )
replace XA17A1 = . if (XA17A1 <= -1 )
replace A17A1_MF = . if (A17A1_MF <= -1 )
replace A17A1_YN = . if (A17A1_YN <= -1 )
replace A17A2_LB = . if (A17A2_LB <= -1 )
replace A17A2_OZ = . if (A17A2_OZ <= -1 )
replace XA17A2 = . if (XA17A2 <= -1 )
replace A17A2_MF = . if (A17A2_MF <= -1 )
replace A17A2_YN = . if (A17A2_YN <= -1 )
replace A17A3_LB = . if (A17A3_LB <= -1 )
replace A17A3_OZ = . if (A17A3_OZ <= -1 )
replace XA17A3 = . if (XA17A3 <= -1 )
replace A17A3_MF = . if (A17A3_MF <= -1 )
replace A17A3_YN = . if (A17A3_YN <= -1 )
replace A17A4_LB = . if (A17A4_LB <= -1 )
replace A17A4_OZ = . if (A17A4_OZ <= -1 )
replace XA17A4 = . if (XA17A4 <= -1 )
replace A17A4_MF = . if (A17A4_MF <= -1 )
replace A17A4_YN = . if (A17A4_YN <= -1 )
replace A17A5_LB = . if (A17A5_LB <= -1 )
replace A17A5_OZ = . if (A17A5_OZ <= -1 )
replace XA17A5 = . if (XA17A5 <= -1 )
replace A17A5_MF = . if (A17A5_MF <= -1 )
replace A17A5_YN = . if (A17A5_YN <= -1 )
replace A17A6_LB = . if (A17A6_LB <= -1 )
replace A17A6_OZ = . if (A17A6_OZ <= -1 )
replace XA17A6 = . if (XA17A6 <= -1 )
replace A17A6_MF = . if (A17A6_MF <= -1 )
replace A17A6_YN = . if (A17A6_YN <= -1 )
replace A17A7_LB = . if (A17A7_LB <= -1 )
replace A17A7_OZ = . if (A17A7_OZ <= -1 )
replace XA17A7 = . if (XA17A7 <= -1 )
replace A17A7_MF = . if (A17A7_MF <= -1 )
replace A17A7_YN = . if (A17A7_YN <= -1 )
replace A17A8_LB = . if (A17A8_LB <= -1 )
replace A17A8_OZ = . if (A17A8_OZ <= -1 )
replace XA17A8 = . if (XA17A8 <= -1 )
replace A17A8_MF = . if (A17A8_MF <= -1 )
replace A17A8_YN = . if (A17A8_YN <= -1 )
replace A17A9_LB = . if (A17A9_LB <= -1 )
replace A17A9_OZ = . if (A17A9_OZ <= -1 )
replace XA17A9 = . if (XA17A9 <= -1 )
replace A17A9_MF = . if (A17A9_MF <= -1 )
replace A17A9_YN = . if (A17A9_YN <= -1 )
replace XAGECALC = . if (XAGECALC <= -1 )
replace B_2 = . if (B_2 <= -1 )
replace B_3 = . if (B_3 <= -1 )
replace B_4 = . if (B_4 <= -1 )
replace B_5 = . if (B_5 <= -1 )
replace B_6 = . if (B_6 <= -1 )
replace B_7 = . if (B_7 <= -1 )
replace C_1 = . if (C_1 <= -1 )
replace C_2 = . if (C_2 <= -1 )
replace C_3 = . if (C_3 <= -1 )
replace C_4 = . if (C_4 <= -1 )
replace C_5 = . if (C_5 <= -1 )
replace C_6 = . if (C_6 <= -1 )
replace C_7 = . if (C_7 <= -1 )
replace C_8 = . if (C_8 <= -1 )
replace C_9 = . if (C_9 <= -1 )
replace C_10 = . if (C_10 <= -1 )
replace C_11 = . if (C_11 <= -1 )
replace C_12 = . if (C_12 <= -1 )
replace C_13 = . if (C_13 <= -1 )
replace C_14 = . if (C_14 <= -1 )
replace C_15 = . if (C_15 <= -1 )
replace C_16 = . if (C_16 <= -1 )
replace C_17 = . if (C_17 <= -1 )
replace C_18 = . if (C_18 <= -1 )
replace C_19 = . if (C_19 <= -1 )
replace C_20 = . if (C_20 <= -1 )
replace C_21 = . if (C_21 <= -1 )
replace C_22 = . if (C_22 <= -1 )
replace C_23 = . if (C_23 <= -1 )
replace C_24 = . if (C_24 <= -1 )
replace C_25 = . if (C_25 <= -1 )
replace C_26 = . if (C_26 <= -1 )
replace C_27 = . if (C_27 <= -1 )
replace C_28 = . if (C_28 <= -1 )
replace C_29_01 = . if (C_29_01 <= -1 )
replace C_29_02 = . if (C_29_02 <= -1 )
replace C_29_03 = . if (C_29_03 <= -1 )
replace C_29_04 = . if (C_29_04 <= -1 )
replace C_29_05 = . if (C_29_05 <= -1 )
replace C_29_91 = . if (C_29_91 <= -1 )
replace C_30 = . if (C_30 <= -1 )
replace C_31 = . if (C_31 <= -1 )
replace C_32 = . if (C_32 <= -1 )
replace C_33 = . if (C_33 <= -1 )
replace C_34 = . if (C_34 <= -1 )
replace C_35 = . if (C_35 <= -1 )
replace D_1_01 = . if (D_1_01 <= -1 )
replace D_1_02 = . if (D_1_02 <= -1 )
replace D_1_03 = . if (D_1_03 <= -1 )
replace D_1_04 = . if (D_1_04 <= -1 )
replace D_1_05 = . if (D_1_05 <= -1 )
replace D_1_06 = . if (D_1_06 <= -1 )
replace D_1_07 = . if (D_1_07 <= -1 )
replace D_1_08 = . if (D_1_08 <= -1 )
replace D_1_09 = . if (D_1_09 <= -1 )
replace D_1_10 = . if (D_1_10 <= -1 )
replace D_1_11 = . if (D_1_11 <= -1 )
replace D_1_12 = . if (D_1_12 <= -1 )
replace D_1_13 = . if (D_1_13 <= -1 )
replace D_1_14 = . if (D_1_14 <= -1 )
replace D_1_15 = . if (D_1_15 <= -1 )
replace D_1_16 = . if (D_1_16 <= -1 )
replace D_1_91 = . if (D_1_91 <= -1 )
replace D_2 = . if (D_2 <= -1 )
replace D_3 = . if (D_3 <= -1 )
replace D_4 = . if (D_4 <= -1 )
replace D_5_A = . if (D_5_A <= -1 )
replace D_5_B = . if (D_5_B <= -1 )
replace D_5_C = . if (D_5_C <= -1 )
replace D_5_D = . if (D_5_D <= -1 )
replace D_5_E = . if (D_5_E <= -1 )
replace E_1 = . if (E_1 <= -1 )
replace E_2 = . if (E_2 <= -1 )
replace E_3 = . if (E_3 <= -1 )
replace E_4 = . if (E_4 <= -1 )
replace F_1_A = . if (F_1_A <= -1 )
replace F_1_B = . if (F_1_B <= -1 )
replace F_2_A = . if (F_2_A <= -1 )
replace F_2_B = . if (F_2_B <= -1 )
replace F_3_A = . if (F_3_A <= -1 )
replace F_3_B = . if (F_3_B <= -1 )
replace F_4_A = . if (F_4_A <= -1 )
replace F_4_B = . if (F_4_B <= -1 )
replace F_5_A = . if (F_5_A <= -1 )
replace F_5_B = . if (F_5_B <= -1 )
replace F_6_A = . if (F_6_A <= -1 )
replace F_6_B = . if (F_6_B <= -1 )
replace F_7_A = . if (F_7_A <= -1 )
replace F_7_B = . if (F_7_B <= -1 )
replace F_8_A = . if (F_8_A <= -1 )
replace F_8_B = . if (F_8_B <= -1 )
replace F_8_A_A = . if (F_8_A_A <= -1 )
replace F_8_A_B = . if (F_8_A_B <= -1 )
replace F_9 = . if (F_9 <= -1 )
replace F_10 = . if (F_10 <= -1 )
replace G_1 = . if (G_1 <= -1 )
replace G_2_INCO = . if (G_2_INCO <= -1 )
replace G_3_1 = . if (G_3_1 <= -1 )
replace G_3_2 = . if (G_3_2 <= -1 )
replace G_3_4 = . if (G_3_4 <= -1 )
replace G_3_5 = . if (G_3_5 <= -1 )
replace G_3_6 = . if (G_3_6 <= -1 )
replace G_3_7 = . if (G_3_7 <= -1 )
replace G_3_8 = . if (G_3_8 <= -1 )
replace G_3_9 = . if (G_3_9 <= -1 )
replace G_3_10 = . if (G_3_10 <= -1 )
replace G_3_11 = . if (G_3_11 <= -1 )
replace G_3_SP = . if (G_3_SP <= -1 )
replace H_1 = . if (H_1 <= -1 )
replace H_2 = . if (H_2 <= -1 )
replace H_3 = . if (H_3 <= -1 )
replace H_4_1 = . if (H_4_1 <= -1 )
replace H_4_2 = . if (H_4_2 <= -1 )
replace H_4_3 = . if (H_4_3 <= -1 )
replace H_4_4 = . if (H_4_4 <= -1 )
replace H_5_A = . if (H_5_A <= -1 )
replace H_5_B = . if (H_5_B <= -1 )
replace H_5_C = . if (H_5_C <= -1 )
replace H_6 = . if (H_6 <= -1 )
replace H_6_SP = . if (H_6_SP <= -1 )
replace MCOMPMN = . if (MCOMPMN <= -1 )
replace XMOMAGE = . if (XMOMAGE <= -1 )
replace M2RACE = . if (M2RACE <= -1 )
replace M2_OTH = . if (M2_OTH <= -1 )
replace XM3ADM = . if (XM3ADM <= -1 )
replace M4PAY = . if (M4PAY <= -1 )
replace M5_01A = . if (M5_01A <= -1 )
replace M5_02A = . if (M5_02A <= -1 )
replace M5_03A = . if (M5_03A <= -1 )
replace M5_04A = . if (M5_04A <= -1 )
replace M5_05A = . if (M5_05A <= -1 )
replace M5_06A = . if (M5_06A <= -1 )
replace M5_07A = . if (M5_07A <= -1 )
replace M5_08A = . if (M5_08A <= -1 )
replace M5_09A = . if (M5_09A <= -1 )
replace M5_10A = . if (M5_10A <= -1 )
replace XM6DIS = . if (XM6DIS <= -1 )
replace M7DISPO = . if (M7DISPO <= -1 )
replace M8REFER = . if (M8REFER <= -1 )
replace M8_OTH = . if (M8_OTH <= -1 )
replace M9LABOR = . if (M9LABOR <= -1 )
replace M10DEL = . if (M10DEL <= -1 )
replace M11ANEM = . if (M11ANEM <= -1 )
replace M12GES = . if (M12GES <= -1 )
replace M13DIA = . if (M13DIA <= -1 )
replace M14HRT = . if (M14HRT <= -1 )
replace M15HIV = . if (M15HIV <= -1 )
replace M16HYP = . if (M16HYP <= -1 )
replace M17SKL = . if (M17SKL <= -1 )
replace M18STD = . if (M18STD <= -1 )
replace M19ACAF = . if (M19ACAF <= -1 )
replace M19BTOB = . if (M19BTOB <= -1 )
replace M19CMAR = . if (M19CMAR <= -1 )
replace M19DALC = . if (M19DALC <= -1 )
replace M19EAMP = . if (M19EAMP <= -1 )
replace M19FHER = . if (M19FHER <= -1 )
replace M19GOPI = . if (M19GOPI <= -1 )
replace M19HMET = . if (M19HMET <= -1 )
replace M19ICRK = . if (M19ICRK <= -1 )
replace M19JCOC = . if (M19JCOC <= -1 )
replace M19KPCP = . if (M19KPCP <= -1 )
replace M20EVID = . if (M20EVID <= -1 )
replace M21ARSLT = . if (M21ARSLT <= -1 )
replace M21BRSLT = . if (M21BRSLT <= -1 )
replace M21CRSLT = . if (M21CRSLT <= -1 )
replace M21DRSLT = . if (M21DRSLT <= -1 )
replace M21ERSLT = . if (M21ERSLT <= -1 )
replace MBOXA_A1 = . if (MBOXA_A1 <= -1 )
replace MBOXA_A2 = . if (MBOXA_A2 <= -1 )
replace MSPECPRO = . if (MSPECPRO <= -1 )
replace M5CNTR = . if (M5CNTR <= -1 )
replace A_EDUC = . if (A_EDUC <= -1 )
replace AGE = . if (AGE <= -1 )
replace AGE_YR = . if (AGE_YR <= -1 )
replace ALC_AMT = . if (ALC_AMT <= -1 )
replace ALC_AMT3 = . if (ALC_AMT3 <= -1 )
replace ALC_CAT = . if (ALC_CAT <= -1 )
replace ALC_DAY = . if (ALC_DAY <= -1 )
replace ALCFLAG = . if (ALCFLAG <= -1 )
replace ALCMON = . if (ALCMON <= -1 )
replace ALCPREG = . if (ALCPREG <= -1 )
replace ALCYR = . if (ALCYR <= -1 )
replace ANYBWG = . if (ANYBWG <= -1 )
replace ANYBWT = . if (ANYBWT <= -1 )
replace ANYCARE = . if (ANYCARE <= -1 )
replace ANYFLAG = . if (ANYFLAG <= -1 )
replace ANYMON = . if (ANYMON <= -1 )
replace ANYPREG = . if (ANYPREG <= -1 )
replace ANYYR = . if (ANYYR <= -1 )
replace AV_ETHAN = . if (AV_ETHAN <= -1 )
replace CIG_AMT = . if (CIG_AMT <= -1 )
replace CIGFLAG = . if (CIGFLAG <= -1 )
replace CIGMON = . if (CIGMON <= -1 )
replace CIGPREG = . if (CIGPREG <= -1 )
replace CIGYR = . if (CIGYR <= -1 )
replace COCFLAG = . if (COCFLAG <= -1 )
replace COCMON = . if (COCMON <= -1 )
replace COCPREG = . if (COCPREG <= -1 )
replace COCYR = . if (COCYR <= -1 )
replace COO_FRQ = . if (COO_FRQ <= -1 )
replace COOFLAG = . if (COOFLAG <= -1 )
replace COOMON = . if (COOMON <= -1 )
replace COOPREG = . if (COOPREG <= -1 )
replace COOYR = . if (COOYR <= -1 )
replace CONTRA = . if (CONTRA <= -1 )
replace CRK_FRQ = . if (CRK_FRQ <= -1 )
replace CRKFLAG = . if (CRKFLAG <= -1 )
replace CRKMON = . if (CRKMON <= -1 )
replace CRKPREG = . if (CRKPREG <= -1 )
replace CRKYR = . if (CRKYR <= -1 )
replace G3_GOVT = . if (G3_GOVT <= -1 )
replace G3_NONE = . if (G3_NONE <= -1 )
replace G3_OTH = . if (G3_OTH <= -1 )
replace HERFLAG = . if (HERFLAG <= -1 )
replace HERMON = . if (HERMON <= -1 )
replace HERPREG = . if (HERPREG <= -1 )
replace HERYR = . if (HERYR <= -1 )
replace HH_INC = . if (HH_INC <= -1 )
replace HH_SIZ18 = . if (HH_SIZ18 <= -1 )
replace HH_SIZE = . if (HH_SIZE <= -1 )
replace HRDPRG = . if (HRDPRG <= -1 )
replace M_ANEMIA = . if (M_ANEMIA <= -1 )
replace M_DRUG = . if (M_DRUG <= -1 )
replace M_FDIS = . if (M_FDIS <= -1 )
replace M_GUI = . if (M_GUI <= -1 )
replace M_HYPER = . if (M_HYPER <= -1 )
replace M_IPC = . if (M_IPC <= -1 )
replace M_MENTAL = . if (M_MENTAL <= -1 )
replace M_RUPT = . if (M_RUPT <= -1 )
replace M_VD = . if (M_VD <= -1 )
replace MARITAL = . if (MARITAL <= -1 )
replace MET_PAY = . if (MET_PAY <= -1 )
replace MED_USE = . if (MED_USE <= -1 )
replace MRJ_FRQ = . if (MRJ_FRQ <= -1 )
replace MRJFLAG = . if (MRJFLAG <= -1 )
replace MRJMON = . if (MRJMON <= -1 )
replace MRJPREG = . if (MRJPREG <= -1 )
replace MRJYR = . if (MRJYR <= -1 )
replace NOMJFLAG = . if (NOMJFLAG <= -1 )
replace NOMJMON = . if (NOMJMON <= -1 )
replace NOMJPREG = . if (NOMJPREG <= -1 )
replace NOMJYR = . if (NOMJYR <= -1 )
replace PARITY = . if (PARITY <= -1 )
replace PDRINK = . if (PDRINK <= -1 )
replace PN_CARE = . if (PN_CARE <= -1 )
replace PN_NUM = . if (PN_NUM <= -1 )
replace PN_TRI = . if (PN_TRI <= -1 )
replace PN_WK = . if (PN_WK <= -1 )
replace PR_USE3 = . if (PR_USE3 <= -1 )
replace PR_USE8 = . if (PR_USE8 <= -1 )
replace PSYFLAG = . if (PSYFLAG <= -1 )
replace PSYMON = . if (PSYMON <= -1 )
replace PSYPREG = . if (PSYPREG <= -1 )
replace PSYYR = . if (PSYYR <= -1 )
replace RACE = . if (RACE <= -1 )
replace RESIDE = . if (RESIDE <= -1 )
replace RISKLEV2 = . if (RISKLEV2 <= -1 )
replace STAFLAG = . if (STAFLAG <= -1 )
replace STAMON = . if (STAMON <= -1 )
replace STAPREG = . if (STAPREG <= -1 )
replace STAYR = . if (STAYR <= -1 )
replace STATUS = . if (STATUS <= -1 )
replace STMFLAG = . if (STMFLAG <= -1 )
replace STMMON = . if (STMMON <= -1 )
replace STMPREG = . if (STMPREG <= -1 )
replace STMYR = . if (STMYR <= -1 )
replace TWINS = . if (TWINS <= -1 )
replace XAGE = . if (XAGE <= -1 )


